<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>
<body>
<!--
Создайте функцию-конструтор объекта `stopwatch` согласно описанию:
 1. Свойства объекта:
 - `_time`: время;
 - `container`: ссылка на DOM-элемент, внутри которого нужно выводить время.
 1. Методы объекта:
 - `start`, `stop`, `reset`, работающие с его свойствами.
 - `setTime` и `getTime`. `setTime` будет получать новое значение времени в качестве аргумента, и проверять, является ли оно положительным целым числом. Если да - то свойству `_time` будет присвоено значение аргумента, переданного в метод `setTime` и метод вернет ответ объект вида:
 ```
 {
 status: "success",
 }
 ```
 Если же аргумент не удовлетворяет критериям, то возвращать объект вида:
 ```
 {
 status: "error",
 message: "argument must be positive integer"
 }
 ```
 Метод же `getTime` будет просто возвращать значение свойства `_time` для использования его вне методов объектов.
 -->
<p id="time"></p>
<button id="start-time">Start</button>
<button id="stop-time">Stop</button>
<button id="reset-time">Reset</button>
<script>
    function Stopwatch(container) {
        this.time = 12
        this.container = container
        this.counter = 0
    }
    Stopwatch.prototype = {
        stop: function () {
            clearInterval(interval)
        },
        start: function (time,container) {
            interval = setInterval(() => {
                this.time += 1
                this.container.innerText = this.time
                this.counter += 1
            }, 1000)
        },
        reset: function (counter) {
            let result = this.time - this.counter
            this.time = result
            this.container.innerText = result
        },
        getTime: function () {
            this.container.innerText = this.time
        },
        setTime: function (number) {
            let res = {}
            if (number > 0) {
                this.time = number
                res.status = 'success'
            } else {
                res.status = 'error'
                res.message = "argument must be positive integer"
            }
            console.log(res);
        }
    }
    const startBtn = document.getElementById('start-time');
    const stopBtn = document.getElementById('stop-time');
    const resetBtn = document.getElementById('reset-time');
    const stopWatchContainer = document.getElementById('time');
    const stopwatch = new Stopwatch(stopWatchContainer);
    //stopwatch.setTime(1)
    stopwatch.getTime()
    startBtn.addEventListener('click', stopwatch.start.bind(stopwatch));
    stopBtn.addEventListener('click', stopwatch.stop.bind(stopwatch));
    resetBtn.addEventListener('click', stopwatch.reset.bind(stopwatch));
</script>
</body>
</html>